RDKit: RDKit::AtomSanitizeException Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
RDKit::AtomSanitizeException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::AtomSanitizeException:

## Public Member Functions
| AtomSanitizeException (const char *msg, unsigned int atomIdx)
| AtomSanitizeException (const std::string &msg, unsigned int atomIdx)
| AtomSanitizeException (const AtomSanitizeException &other)
unsigned int | getAtomIdx () const
| ~AtomSanitizeException () noexcept override
MolSanitizeException * | copy () const override
std::string | getType () const override
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (std::string msg)
| MolSanitizeException (const MolSanitizeException &other)
const char * | what () const noexcept override
| ~MolSanitizeException () noexcept override

## Protected Attributes
unsigned int | d_atomIdx
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 45 of file SanitException.h.

## Constructor & Destructor Documentation

## ◆ AtomSanitizeException() [1/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const char * | msg,
|  | unsigned int | atomIdx )
| inline

Definition at line 48 of file SanitException.h.

References d_atomIdx, and RDKit::MolSanitizeException::MolSanitizeException().

Referenced by RDKit::AtomKekulizeException::AtomKekulizeException(), RDKit::AtomKekulizeException::AtomKekulizeException(), RDKit::AtomKekulizeException::AtomKekulizeException(), AtomSanitizeException(), RDKit::AtomValenceException::AtomValenceException(), RDKit::AtomValenceException::AtomValenceException(), RDKit::AtomValenceException::AtomValenceException(), and copy().

## ◆ AtomSanitizeException() [2/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const std::string & | msg,
|  | unsigned int | atomIdx )
| inline

Definition at line 50 of file SanitException.h.

References d_atomIdx, and RDKit::MolSanitizeException::MolSanitizeException().

## ◆ AtomSanitizeException() [3/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const AtomSanitizeException & | other | ) |
| inline

Definition at line 52 of file SanitException.h.

References AtomSanitizeException(), d_atomIdx, and RDKit::MolSanitizeException::MolSanitizeException().

## ◆ ~AtomSanitizeException()

RDKit::AtomSanitizeException::~AtomSanitizeException | ( |  | ) |
| inlineoverridenoexcept

Definition at line 55 of file SanitException.h.

## Member Function Documentation

## ◆ copy()

MolSanitizeException * RDKit::AtomSanitizeException::copy | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::MolSanitizeException.

Reimplemented in RDKit::AtomValenceException.

Definition at line 56 of file SanitException.h.

References AtomSanitizeException(), and RDKit::MolSanitizeException::MolSanitizeException().

## ◆ getAtomIdx()

unsigned int RDKit::AtomSanitizeException::getAtomIdx | ( |  | ) | const
| inline

Definition at line 54 of file SanitException.h.

References d_atomIdx.

## ◆ getType()

std::string RDKit::AtomSanitizeException::getType | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::MolSanitizeException.

Reimplemented in RDKit::AtomValenceException.

Definition at line 59 of file SanitException.h.

## Member Data Documentation

## ◆ d_atomIdx

unsigned int RDKit::AtomSanitizeException::d_atomIdx
| protected

Definition at line 62 of file SanitException.h.

Referenced by AtomSanitizeException(), AtomSanitizeException(), AtomSanitizeException(), and getAtomIdx().

The documentation for this class was generated from the following file:

- SanitException.h